.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_CMDPATH
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search e.g. help for XCOPY
.
External Command:  Drive and Path Parameters 
 
Specifies the drive and location for the command you 
want to process. External commands are stored on the 
disk as program files.  When an external command is 
entered, the system searches for it in the current 
directory of the default or specified drive. If the 
command is not found, the system continues searching 
for it in the directories listed in the PATH statement. 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_TITLE
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: "title" Parameter
 
Specifies the title you want for your program, which is 
displayed in the tasklist. The program title must 
be enclosed in double quotation marks.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_FS
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /FS Parameter 
 
Indicates that this application is a full-screen DOS or 
OS/2 application that must run in a separate session 
independent of Presentation Manager. 

To start the XCOPY command in a full-screen session 
and copy the files from drive A to drive B, enter the 
following: 
.fo off
STARTB "XCOPY A-B" /FS XCOPY A:\ B:
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_WIN
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /WIN Parameter 
 
Indicates that this is an OS/2 application that runs 
within an OS/2 or DOS window. 
.. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
.. translate following [=TITLE] specific note here !!!
.at fc=red
This parameter is ignored if a Windows 3.x program is to be
started, as [=TITLE] [.IDPNL_LIMITATIONS cannot start seamless Windows sessions].
.at
.. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

To start a batch file named CRAYON.CMD in an OS/2 
window session, enter the following: 
.fo off
STARTB /WIN CRAYON.CMD
.fo on 
To start a batch file named MYFILE.BAT in a DOS 
window session, enter the following: 
.fo off
STARTB /WIN MYFILE.BAT
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_F
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /F | /FG Parameter 

Makes the program the foreground session. If this 
parameter is not specified, the program becomes a 
background session. If the /FS, /WIN or /PM parameter 
is specified, the program becomes the foreground 
session. 

To run the XCOPY command in the foreground session, 
enter the following: 
.fo off
STARTB "XCOPY C-A" /F XCOPY C:\ A:\
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_B
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /B | /BG Parameter 

Requests that an application be started in a background 
session. 

To start the XCOPY command in a background session, 
enter the following: 
.fo off
STARTB "XCOPY C-A" /B XCOPY C:\ A:\
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_K
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /K Parameter 

Indicates to start the program indirectly through the 
command processor, CMD.EXE, and to keep the session 
when the program has finished. If the application is a 
Presentation Manager application, the default is /N; 
otherwise, the default is /K. 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_C
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /C Parameter

Indicates to start the program indirectly through the 
command processor, CMD.EXE, and end the session 
when the #command# is complete.  If the session created 
by the STARTB command is displayed when the 
command ends, the system determines which session to 
display next. 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_N
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /N Parameter

Indicates to start the program directly without invoking 
the command processor, CMD.EXE. Do not enclose the 
command in quotation marks.  The command you 
specify cannot be an internal command or a batch file. 

To start XCOPY directly without invoking the CMD.EXE 
command processor, copy the complete contents of the 
root directory on drive C to drive A, and display XCOPY 
C-A as the program title, type the following: 
.fo off
STARTB "XCOPY C-A" /N XCOPY C:\ A:
.fo on 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_MAX
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /MAX Parameter

Requests that a Presentation Manager (PM) or any 
window application starts in a maximized state.  It has 
no effect for full screen.  A PM application may 
choose not to honor the request. 

To start a Presentation Manager or any window 
application in a maximized state, enter the following: 
.fo off
STARTB /MAX
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_MIN
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /MIN Parameter

Requests that a Presentation Manager (PM) or any 
window application starts in a minimized (icon) state.  
This has no effect for full screen.  A PM application 
may choose not to honor the request. 

To start a Presentation Manager or any  window 
application in a minimized (icon) state, enter the 
following: 
.fo off
STARTB /MIN
.fo on 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_INV
.
[=TITLE] Command: /INV Parameter

Requests that a Presentation Manager (PM) 
starts in an invisible (hidden) state.  
This has no effect for a window or full screen.
The PM application may choose not to honor the request. 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_I
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /I Parameter
 
Causes the new session to inherit the environment 
defined by the SET statements in the CONFIG.SYS file 
instead of the CMD.EXE environment of the current 
session. 

*Note:*  The new session will not inherit file handles 
from the parent session but instead will inherit the 
handles of the shell. The stdin will point to the 
keyboard and stdout will point to the monitor as well as 
having all of the default environment variables from 
the CONFIG.SYS. 

To start the ACCT.EXE program to run as a full-screen 
program and cause the new session to inherit the 
environment defined by the SET statements in the 
CONFIG.SYS file, enter the following: 
.fo off
STARTB "ACCOUNT" /FS /I ACCT.EXE
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_PM
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /PM Parameter

Indicates that this application is a Presentation Manager 
application. 

To start the CRAYON.EXE program to run as a 
Presentation Manager program, enter the following: 
.fo off
STARTB "CRAYON GAME" /PM CRAYON.EXE
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_WAIT
.
[=TITLE] Command: /WAIT Parameter

Indicates that [=TITLE] should wait for the application to be 
ended before returning control to the caller.

If [=TITLE] is called from *MDOS* with the /WAIT parameter,
[=TITLE] must reside in the PATH statement of the
*OS/2* or *eComStation* environment.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_NC
.
[=TITLE] Command: /NC Parameter

Indicates that the window of a textmode application should
not be closed after the command has been executed.

This parameter has no effect for a full screen or a PM
application.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_DOS
.
[=TITLE] Command: /DOS

Starts the program as a DOS program. Useful for 
forcing FAPI or BOUND applications to run in a DOS 
session.
.. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
.. translate following [=TITLE] specific note here !!!
Specify the parameter [.FN_PARM_DOSSET /DOS:settings.dat],
if special settings are required for the launched DOS setting.
.. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
To start a COMMAND.COM session, enter the 
following: 
.fo off
STARTB /DOS
.fo on
To start a COMMAND.COM session in a window, enter 
the following: 
.fo off
STARTB /WIN /DOS
.fo on
To start a full-screen COMMAND.COM session, enter 
the following: 
.fo off
STARTB /FS /DOS
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_DOSSET
.
[=TITLE] Command: /DOS:settings.dat

Starts the program as a DOS program, just as with 
the [.FN_PARM_DOS /DOS] parameter, but with a file specifying DOS
settings. The file must comply to one of
[.IDPNL_USAGE_DOSSETTINGS two file formats].

To start a COMMAND.COM session with special DOS settings,
enter the following: 
.fo off
STARTB /DOS:mysession.dat
.fo on
and provide the DOS settings within the file mysession.dat.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_POS
.
[=TITLE] Command: /POS:x,y,x1,y1

Indicates that the window of an application should
be opened at the specified screen coordinates.

A text window may be launched in dimensions only
matching approximately the request, as the exact 
size of the window depends on the font used within
text windows at that time.

A PM application may choose not to honor the request,
but if, the size will correctly match.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_ICON
.
[=TITLE] Command: /ICON:icon.ico

Indicates that the program uses the specified icon
in the system menu and in the *Minimized Window Viewer*
or when *Minimized to Desktop*.

A PM application may choose not to honor the request
and use its own icon anyway.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_PGM
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: /PGM Parameter

START interprets a quoted string as the name of the 
program to be executed.  For example, assume you 
use a program named MY EDITOR.  You can start the 
MY EDITOR program and use the default title, or you 
can start MY EDITOR and give it a different name. 

To start MY EDITOR without specifying a title, enter the 
following: 
.fo off
START /PGM "MY EDITOR"
.fo on

To start MY EDITOR and give it a title, enter the 
following: 
.fo off
START "MY FAVORITE EDITOR" /PGM "MY EDITOR"
.fo on

The name MY FAVORITE EDITOR would appear on the 
Window List, rather than the name of the program, MY 
EDITOR. 

If the /PGM parameter is not used, START interprets 
the first quoted string as the name of a user-supplied 
title, and the second quoted string as the command to 
be passed to another session that is running CMD.EXE. 

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_CMD
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: Command and Command Inputs Parameters 
 
Specifies an OS/2 internal or external command, a 
.CMD batch file, or any OS/2 program you want to pass 
to the command processor you are starting. 

Command inputs are arguments for the command you 
requested. 

To start XCOPY in a new OS/2 session, copy the 
complete contents of the root directory on drive C to 
the root directory on drive A, and display XCOPY C-A 
as the program title, enter the following: 
.fo off
STARTB "XCOPY C-A" XCOPY C:\ A:\
.fo on
 
.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_CMDPARMS
.. Note to translator: take this text from the
.. respective footnote of the OS/2 command reference
.. search help for START
.
[=TITLE] Command: Command and Command Inputs Parameters 
 
Specifies an OS/2 internal or external command, a 
.CMD batch file, or any OS/2 program you want to 
pass to the command processor you are starting. 

Command inputs are arguments for the command 
you requested. 

To start XCOPY in a new OS/2 session, copy the 
complete contents of the root directory on drive C 
to the root directory on drive A, and display XCOPY 
C-A as the program title, enter the following: 
.fo off
START "XCOPY C-A" XCOPY C:\ A:\
.fo on 

